module TrelloDXY
  module Requests
    class BoardForUrl
      include Shared

      def initialize
        connect_to_trello
      end

      def board(url)
        board = Trello::Board.all.find { |board| board.url == url }
        if board.nil?
          puts 'The given board URL was not found'
          exit 1
        end
        board
      end
    end
  end
end
