module TrelloDXY
  module Formatters
    class Base
      def initialize(data)
        @data = data
      end

      def output(format)
        case format
        when 'json'
          self.to_json
        else 'csv'
          self.to_csv
        end
      end

      private

      attr_reader :data
    end
  end
end
